﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;

namespace HeuristicLab.Problems.Instances.DataAnalysis {
  public class Tower : ResourceRegressionDataDescriptor {
    public override string Name { get { return "Tower"; } }
    public override string Description {
      get {
        return "Publication: Order of Nonlinearity as a Complexity Measure for Models " +
               "Generated by Symbolic Regression via Pareto Genetic Programming" + Environment.NewLine +
               "Link: http://liinwww.ira.uka.de/cgi-bin/bibshow?e=Bj0hfofujd/qsphsbnnjoh/fyqboefe}24329837&r=bibtex&mode=intra";
      }
    }
    protected override string TargetVariable { get { return "towerResponse"; } }
    protected override string[] VariableNames {
      get { return new string[] { "x1", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "x17", "x18", "x19", "x20", "x21", "x22", "x23", "x24", "x25", "towerResponse" }; }
    }
    protected override string[] AllowedInputVariables {
      get { return new string[] { "x1", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "x17", "x18", "x19", "x20", "x21", "x22", "x23", "x24", "x25" }; }
    }
    protected override int TrainingPartitionStart { get { return 0; } }
    protected override int TrainingPartitionEnd { get { return 3136; } }
    protected override int TestPartitionStart { get { return 3136; } }
    protected override int TestPartitionEnd { get { return 4999; } }
  }
}
